<?php

include ("conf.php");

session_start();

$profile = escapeshellcmd($_GET['profile']);
$file = escapeshellcmd($_GET['file']);

header("Content-type: image/gif");
if ( !strpos($file, '/') && file_exists("$PROFILESTATDIR/$profile/$file.gif") ) {
	$fp = fopen("$PROFILESTATDIR/$profile/$file.gif", 'rb');
	fpassthru($fp);
} else {
	// to be completed

}

?>
